#include<iostream>
using namespace std;

class Engine
{

public:
	Engine(){}

    void Start() 
	{
		cout << "Engine started!" << endl; 
	}

};

class Headlights
{

public:
	Headlights(){}

    void TurnOn()
	{
		cout << "Headlights turned on!" << endl; 
	}

};

//  That's our facade.
class Car
{

private:
    Engine engine;
    Headlights headlights;

public:
	Car() {}

    void TurnIgnitionKeyOn()
    {
    	headlights.TurnOn();
    	engine.Start();
    }

};

int main()
{
    Car car;
    car.TurnIgnitionKeyOn();

    return 0;
}