#include <stdlib.h>
#include<iostream>
using namespace std;

class Singleton
{ 
	public: 
		static Singleton* Instance(); 
		static void Print();
	protected: 
		Singleton()
		{}
	private: 
		static Singleton* _instance; 
}; 

Singleton* Singleton::_instance = NULL; 

Singleton* Singleton::Instance () 
{ 
	if (_instance == NULL) 
	{ 
		_instance = new Singleton; 
	} 

	return _instance; 
} 

void Singleton::Print ()
{
	cout<<"I am the single instance";
}

//int main()
//{
//	Singleton *singletonInstance = Singleton::Instance();
//	singletonInstance ->Print();
//}