#include<iostream>
using namespace std;

class Singleton
{
	public:
		static Singleton& getInstance()
		{
			static Singleton instance; 

			return instance;
		}

		void print()
		{
			cout << "I am single instance: " << this << endl;
		}
	private:
		Singleton() {};        
		Singleton(Singleton const&);            
		void operator=(Singleton const&);
};

int main()
{
	Singleton &instance1 = Singleton::getInstance();
	instance1.print();
	Singleton &instance2 = Singleton::getInstance();
	instance2.print();
}